package com.sw.mes.fls.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.dto.mes.pc.yb.ProductionBindingTrayDto;
import com.sw.mes.core.response.Result;
import com.sw.mes.fls.dto.TrayUnBindingDto;
import com.sw.mes.fls.entity.ProductionBindingTray;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProductionBindingTrayService extends BaseService<ProductionBindingTray> {

    List<String> findCrystalNoByTrayNo(String trayNo);

    ProductionBindingTray getByTrayNoAndLocationNo(String pailNum, String locationNo);

    /**
     * 托盘绑定单晶
     * @param bindingCrystalDto
     * @return
     */
    Result bindingCrystalFb(ProductionBindingTrayDto bindingCrystalDto);

	ProductionBindingTray getByCrystalNo(String crystalNo);

    List<ProductionBindingTray> getByTrayNo(String code);

    void UnBinding(TrayUnBindingDto trayUnBindingDto);

    ProductionBindingTray findByTrayNo(String trayNo);
}
